osmium::Tag Class Reference

`#include <tag.hpp>`

Inheritance diagram for osmium::Tag:
[legend]
Collaboration diagram for osmium::Tag:
[legend]

## Public Member Functions

const char * | key () const noexcept
const char * | value () const

## Static Public Attributes

static constexpr item_type | collection_type = item_type::tag_list

## Private Member Functions

| Tag (const Tag &)=delete
| Tag (Tag &&)=delete
Tag & | operator= (const Tag &)=delete
Tag & | operator= (Tag &&)=delete
unsigned char * | next ()
const unsigned char * | next () const

## Static Private Member Functions

static unsigned char * | after_null (unsigned char *ptr)
static const unsigned char * | after_null (const unsigned char *ptr)

## Friends

template<typename TMember >
class | osmium::memory::CollectionIterator

## Constructor & Destructor Documentation

osmium::Tag::Tag | ( | const Tag & |  | ) |

private delete

osmium::Tag::Tag | ( | Tag && |  | ) |

private delete

## Member Function Documentation

static unsigned char* osmium::Tag::after_null | ( | unsigned char * | ptr | ) |

inline static private

static const unsigned char* osmium::Tag::after_null | ( | const unsigned char * | ptr | ) |

inline static private

const char* osmium::Tag::key | ( |  | ) | const

inline noexcept

unsigned char* osmium::Tag::next | ( |  | ) |

inline private

const unsigned char* osmium::Tag::next | ( |  | ) | const

inline private

Tag& osmium::Tag::operator= | ( | const Tag & |  | ) |

private delete

Tag& osmium::Tag::operator= | ( | Tag && |  | ) |

private delete

const char* osmium::Tag::value | ( |  | ) | const

inline

## Friends And Related Function Documentation

template<typename TMember >

friend class osmium::memory::CollectionIterator

friend

## Member Data Documentation

constexpr item_type osmium::Tag::collection_type = item_type::tag_list

static

The documentation for this class was generated from the following file:

- osmium/osm/tag.hpp